
MODULE enable_input;

%include '/sys/ins/base.ins.pas';
%include '/sys/ins/kbd.ins.pas';
%include '/sys/ins/gpr.ins.pas';

VAR
    mousekeys : gpr_$keyset_t := [KBD_$M1D..KBD_$M3D];
    all_keys  : gpr_$keyset_t := ['#'..'~', ' ', KBD_$BS, KBD_$CR, KBD_$TAB, KBD_$L4, KBD_$L6..KBD_$LA, KBD_$LC..KBD_$LF, KBD_$R5];
    status    : status_$t;

PROCEDURE enable_mouse;
    BEGIN
        gpr_$enable_input(gpr_$buttons, mousekeys, status);
    END;

PROCEDURE enable_all_keys;
    BEGIN
        gpr_$enable_input(GPR_$KEYSTROKE, all_keys, status);
        gpr_$set_cursor_active(TRUE, status);
    END;
