#include <tml/tml_objects.hxx>
#include <tml/tml_functions.hxx>
#include <dlg/Xlib.h>
#include <dlg/Xutil.h>
#include <tml/tml_dp_x_graph.h>
#include <tml/tml_dp_graph.hxx>

char x_exam_getchar(Display *display, view_port *display_viewport)
{
  XEvent event;
  KeySym key;
  char   text[10];
  int    textlen;

  do {
    do {
      XNextEvent(display, &event);
      if (event.type == ConfigureNotify)
        tml_dp_record_new_size(display_viewport->get_handle(),
                               event.xconfigure.width,
                               event.xconfigure.height);
      else if (event.type == Expose) {
        tml_dp_add_clip_rect(display_viewport->get_handle(),
                             event.xexpose.x,
                             event.xexpose.y,
                             event.xexpose.width,
                             event.xexpose.height);
        if (event.xexpose.count == 0)
            tml_dp_damage_repair(display_viewport->get_handle());
        }
    } while (event.type != KeyPress);
    textlen = XLookupString((XKeyEvent*) &event, text, 10, &key, 0);
    text[textlen] = (char)0;
  } while (textlen == 0);
  return text[0];
}
